<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  CTA as CallToAction,
  FreeTrialCTA,
  NextStep,
} from '../../components/common/index';
import {
  CopyAbout,
  CopyMission,
  CopyNumbers,
  LearnMoreCards,
  Teamops,
  Timeline,
} from '../../components/company/index';
import { Showcase } from '../../components/why/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'Company',
  components: {
    CallToAction,
    CopyAbout,
    CopyMission,
    CopyNumbers,
    FreeTrialCTA,
    NextStep,
    LearnMoreCards,
    Showcase,
    Teamops,
    Timeline,
  },
  nuxtI18n: false,
  async asyncData({ $content, params, error }: any) {
    try {
      const company = await $content(
        `company/${params.company ? params.company : 'index'}`,
      ).fetch();

      return { company };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).company, this.$route.path);
  },
});
</script>

<template>
  <div>
    <SlpColumn>
      <component
        :is="component.name"
        v-for="(component, i) in company.components"
        :key="i"
        :data="component.data"
      />
    </SlpColumn>
    <SlpContainer variant="gradient">
      <NextStep />
    </SlpContainer>
  </div>
</template>
